<?php
require_once(__DIR__ . "/config.php");
session_start();

//print_r($_SESSION);

header('Expires: Sun, 01 Jan 2014 00:00:00 GMT');
header('Cache-Control: no-store, no-cache, must-revalidate');
header('Cache-Control: post-check=0, pre-check=0', false);
header('Pragma: no-cache');

if (!$_POST) {
	exit("WRONG_QUERY");
}

if (!isset($_POST['javaScriptEnabled']) OR $_POST['javaScriptEnabled'] !== '1') {
	exit("Please, enable JavaScript and try again");
}

$_POST = filter_var_array($_POST, FILTER_SANITIZE_STRING);

# find HTTP_HOST in db
if (isset($_POST['project']) && !empty($_POST['project'])) {
	$project = base64_decode($_POST['project']);
	$res_t = mysqli_query($mysqli, " SELECT * FROM `projects` WHERE `project_url` LIKE '%{$project}%' LIMIT 1 ");
}
else {
	$res_t = mysqli_query($mysqli, " SELECT * FROM `projects` WHERE `project_url` LIKE '%{$_SERVER['HTTP_HOST']}%' LIMIT 1 ");
}

$project = [];
if (mysqli_num_rows($res_t) > 0) {
	$project = mysqli_fetch_assoc($res_t);
}
else {
	$project['project_id'] = 0;
}
$arr = [];
$arr['project_id'] = $project['project_id'];
?>

    <html lang="en">
    <head>
        <meta content="text/html; charset=utf-8" http-equiv="Content-Type">
        <meta content="Employment Application Form" property="og:title">

        <meta http-equiv="expires" content="Sun, 01 Jan 2014 00:00:00 GMT"/>
        <meta http-equiv="pragma" content="no-cache"/>

        <meta content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0" name="viewport">

        <title>Employment Application Form</title>

        <link type="text/css" rel="stylesheet" href="formCss.css">
        <link href="printForm.css" rel="stylesheet" media="print" type="text/css">

        <style type="text/css">
            .form-label-left {
                width: 120px !important;
            }

            .form-line {
                padding-top: 12px;
                padding-bottom: 12px;
            }

            .form-label-right {
                width: 120px !important;
            }

            body, html {
                margin: 0;
                padding: 0;
                background: none;
            }

            .form-all {
                margin: 0 auto;
                padding-top: 0;
                width: 600px;
                color: #555 !important;
                font-family: 'Verdana';
                font-size: 12px;
            }
        </style>
    </head>
    <body>


    <div class="form-all">
        <ul class="form-section page-section">
            <li id="cid_3" class="form-input-wide" data-type="control_head">
                <div class="form-header-group">
                    <div class="header-text httal htvam">
                        <h1 id="header_3" class="form-header"> Thank You!<br><font size="-1">Your submission has been
                                received.</font></h1>
                    </div>
                </div>

<?php
if (!isset($_SESSION['sec_token']) OR $_SESSION['sec_token'] !== $_POST['sec_token'] OR empty($_POST['sec_token'])) {
	//	echo "session = " . $_SESSION['sec_token'] . "<br>";
	//	echo "post = " . $_POST['sec_token'];
	header("Location: " . $_SERVER['HTTP_REFERER']);
	exit;
}

if (
	empty($_POST['q4_address4']['addr_line1']) OR
	empty($_POST['q4_address4']['city']) OR
	empty($_POST['q4_address4']['state']) OR
	empty($_POST['q6_email6']) OR
	empty($_POST['q4_address4']['postal'])
) {
	exit('empty vars');
}

$arr['name'] = $_POST['q1_fullName']['first'] . " " . @$_POST['q1_fullName']['middle'] . " " . $_POST['q1_fullName']['last'];
$arr['name'] = preg_replace("#\s+#", " ", $arr['name']);

$arr['address1'] = $_POST['q4_address4']['addr_line1'];
$arr['address2'] = @$_POST['q4_address4']['addr_line2'];
$arr['city'] = $_POST['q4_address4']['city'];
$arr['state'] = $_POST['q4_address4']['state'];
$arr['postal'] = $_POST['q4_address4']['postal'];
$arr['country'] = $_POST['q4_address4']['country'];

$arr['phone'] = $_POST['q5_phoneNumber5']['area'] . $_POST['q5_phoneNumber5']['phone'];

$arr['cell_phone'] = @$_POST['cell_phone'];
$arr['ip'] = $_SERVER['REMOTE_ADDR'];
$arr['date_added'] = time();

$arr['email'] = $_POST['q6_email6'];

$arr['dob'] = @$_POST['q9_birthDate9']['day'] . " " . @$_POST['q9_birthDate9']['month'] . " " . @$_POST['q9_birthDate9']['year'];

$arr['citizen'] = @$_POST['q46_areYou'][0];

$arr['position'] = @$_POST['q23_positionApplying23'];
$arr['position_start_date'] = @$_POST['q30_dateYou']['month'] . "/" . @$_POST['q30_dateYou']['day'] . "/" . @$_POST['q30_dateYou']['year'];
$arr['position_salary'] = @$_POST['q31_salaryDesired'];

$arr['crime'] = @$_POST['q32_haveYou'];
$arr['applied_before'] = @$_POST['q33_haveYou33'];

$arr['highschool'] = @$_POST['q18_highSchool'];
$arr['highschool_year'] = @$_POST['q35_numberOf'];
$arr['highschool_graduate'] = @$_POST['q19_graduated19'][0];

$arr['college'] = @$_POST['q59_college'];
$arr['college_years'] = @$_POST['q60_numberOf60'];
$arr['college_graduate'] = @$_POST['q61_graduated'][0];
$arr['college_area'] = @$_POST['q65_areaOf65'];

$arr['graduate_school'] = @$_POST['q38_graduateSchool'];
$arr['graduate_school_years'] = @$_POST['q40_numberOf40'];
$arr['graduate_school_graduate'] = @$_POST['q41_graduated41'][0];
$arr['graduate_school_area'] = @$_POST['q39_areaOf39'];

$arr['trade_school'] = @$_POST['q42_tradeSchoolother'];
$arr['trade_school_years'] = @$_POST['q43_numberOf43'];
$arr['trade_school_graduate'] = @$_POST['q45_graduated45'][0];
$arr['trade_school_area'] = @$_POST['q44_areaOf'];

$arr['skills'] = $_POST['q53_skills'];
$arr['qualifications'] = $_POST['q54_qualifications'];

$arr['currentEmployer'] = $_POST['q25_currentEmployer'];
$arr['currentEmployer_position'] = @$_POST['q26_position26'];
$arr['currentEmployer_salary'] = @$_POST['q47_salary47'];
$arr['currentEmployer_reason'] = @$_POST['q48_reasonFor'];
$arr['currentEmployer_start_date'] = @$_POST['q27_startDate27']['month'] . "/" . @$_POST['q27_startDate27']['day'] . "/" . @$_POST['q27_startDate27']['year'];
$arr['currentEmployer_may_contact'] = @$_POST['q34_mayWe'];

$arr['currentEmployer_phone'] = @$_POST['q99_phoneNumber99']['area'] . @$_POST['q99_phoneNumber99']['phone'];

$arr['http_host'] = $_SERVER['HTTP_HOST'];
$arr['http_referer'] = $_SERVER['HTTP_REFERER'];

$query_for_table = " CREATE TABLE IF NOT EXISTS applications ( `application_id` int NOT NULL AUTO_INCREMENT, ";
foreach ($arr as $k => $v) {
	if ($k == "skills" OR $k == "qualifications") {
		$table_fields[] = " `{$k}` text ";
	}
	else $table_fields[] = " `{$k}` varchar(255) ";
}
$query_for_table .= implode(", ", $table_fields);
$query_for_table .= ", PRIMARY KEY (`application_id`) ); ";
mysqli_query($mysqli, $query_for_table) or die(mysqli_error($mysqli));

$query = " INSERT INTO `applications` SET ";
$import_vars = [];
foreach ($arr as $k => $v) {
	$import_vars[] = " `{$k}` = '" . mysqli_real_escape_string($mysqli, $v) . "'";
}
$query .= implode(", ", $import_vars);

mysqli_query($mysqli, $query) or die(mysqli_error($mysqli));
